<!DOCTYPE html>
<html lang="en"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:p="http://primefaces.org/ui">
<h:head>
	<title>Login</title>
	<meta charset="UTF-8" />
	<meta name="author" content="David Toth" />
	<meta name="description" content="Agile Project Management" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
</h:head>
<h:body>
	<f:facet name="last">
		<h:outputStylesheet library="webjars" name="font-awesome/5.14.0/css/all.min-jsf.css" />
		<h:outputStylesheet library="webjars" name="font-awesome/5.14.0/css/v4-shims.min-jsf.css" />
		<h:outputStylesheet name="css/primeflex.css"/>
		<h:outputStylesheet name="css/main-style.css"/>
	</f:facet>
	<div class="background">
		<div class="form-wrapper">
			<div class="header">
				<h1>1Team</h1>
				<h2>Log in</h2>
			</div>
			<div class="p-grid p-formgrid ui-fluid ">
				<h:form id="loginForm">
					<p:messages id="messages" globalOnly="true">
						<p:autoUpdate />
					</p:messages>
					<div class="form-control p-field">
						<p:outputLabel id="lblEmail" for="email" value="Email address" />
						<p:inputText id="email"
							value="#{loginController.email}"
							required="true"
							requiredMessage="Email cannot be empty">
							<p:clientValidator event="blur" />
						</p:inputText>
						<small><p:message id="email-error" for="email" display="text" /></small>
					</div>
					<div class="form-control p-field">
						<p:outputLabel id="lblPassword" for="password" value="Password" />
						<p:password id="password"
							value="#{loginController.password}"
							required="true"
							requiredMessage="Password cannot be empty">
							<p:clientValidator event="blur" />
						</p:password>
						<small><p:message id="pwd-error" for="password" display="text" /></small>
					</div>
					<p:commandButton id="btnSignIn" 
						value="Login"
						styleClass="btn-submit"
						validateClient="true" 
						update="@form"
						action="#{loginController.executeLogin()}"
						ajax="false" />
					<div class="form-link">
						<p:separator />
						<span>Don't have an account? </span><p:link value="Sign up here." outcome="signup"/>
					</div>
				</h:form>
			</div>
		</div>
	</div>
	
</h:body>
</html>